<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="../css/style.css" />
    <!-- Font awesome -->
    <script
      src="https://kit.fontawesome.com/8f4c8f6237.js"
      crossorigin="anonymous"
    ></script>
    <title>Level 3</title>
  </head>

  <div id="actualLvl">3</div>

  <body class="bckLvl lvl3">
    <div id="deathCounterContainer">
      <div class="keyboard">
        <div class="touches">
          <div class="touche q"></div>
          <div class="touche up">W</div>
          <div class="touche e"></div>
        </div>
        <div class="touches">
          <div class="touche left">A</div>
          <div class="touche down">S</div>
          <div class="touche right">D</div>
        </div>
        <div class="touches">
          <div class="touche space">SPACE</div>
        </div>
      </div>

      <label class="difficulty">
        <input id="checkboxEZ" type="checkbox" />
        <img src="../assets/buoy.png" alt="" />
        <span class="checkmark"></span>
      </label>
      <button class="ui-sound-button" onclick="onClickAllAudioMute()">
        <i id="allAudio" class="fas fa-volume-up"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSFXMute()">
        <i id="fxAudio" class="fas fa-headphones-alt"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickAllSongMute()">
        <i id="musicAudio" class="fas fa-music"></i>
      </button>
      <button class="ui-sound-button" onclick="onClickBackToMenu()">
        <img id="backToMenuButton" src="../assets/mapbutton.png" />
      </button>
      <div class="deathAndRecord">
        <div>
          <span id="deathCounter">0</span>
          <img src="../assets/skull.png" id="deathCounterImg" />
        </div>
        <p>Best : <span id="record">0</span> death(s)</p>
      </div>
    </div>

    <div id="camera"></div>

    <div id="player" class="moveR">
      <div id="hitbox"></div>
    </div>

    <div class="level">
      <div class="parallax2 lvl3"></div>
      <div class="parallax1 lvl3"></div>
      <div class="block grass wall"></div>

      <div>
        <img id="startImg" class="decorProps" src="../assets/items/start.png" />
        <div id="start"></div>
        <div class="block grass b1 h10"></div>
      </div>

      <!--   Hole with spikes   -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b2"></div>
      </div>

      <!-- jump -->
      <div>
        <img
          class="decorProps plants"
          src="../assets/items/jungle-flower-red.png"
        />
        <div class="block grass b1 h8"></div>
      </div>

      <div class="hole b2 flex">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block grass b1 h8"></div>
      </div>

      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <!-- side spikes -->
      <div class="behind">
        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>

        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f1 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="f2 left-spike">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="hole b1">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>

      <div class="relative back">
        <div class="block grass b1 h10 f1"></div>
        <div class="block grass b1"></div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h3 f2"></div>
        </div>
      </div>

      <div>
        <div class="plebs">
          <div class="platform f1"></div>
        </div>
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <div class="block grass b1"></div>
      </div>

      <!--    campfire walljump dodge    -->
      <div>
        <div class="trap campfire">
          <div>
            <img src="../assets/textures/fire.gif" />
          </div>
        </div>
        <div class="block grass b2"></div>
      </div>

      <div class="relative back">
        <div class="block grass b1 h10 f1"></div>
        <div class="block grass b2"></div>
        <div class="added">
          <div class="wlt b1 h1"></div>
          <div class="wl b1 h3 f2"></div>
        </div>
      </div>

      <div class="plebs">
        <div class="block grass b1 h2"></div>
      </div>
      <div class="plebs">
        <div class="block grass b1 h3"></div>
      </div>

      <div>
        <div class="flex">
          <div class="trap campfire">
            <div>
              <img src="../assets/textures/fire.gif" />
            </div>
          </div>
          <div class="trap campfire">
            <div>
              <img src="../assets/textures/fire.gif" />
            </div>
          </div>
        </div>
        <div class="block grass b2"></div>
      </div>

      <div class="block grass b1"></div>

      <div>
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <div class="block grass b1"></div>
      </div>

      <div>
        <img
          class="decorProps plants"
          src="../assets/items/jungle-flower-stink.png"
        />
        <div class="block grass b1"></div>
      </div>

      <!-- walljump with elevator -->
      <div>
        <!-- elevator -->
        <div class="relative f2 h5">
          <div class="elevator">
            <div class="trap campfire">
              <img src="../assets/textures/fire.gif" />
            </div>
            <div class="block grass b1 h3"></div>
          </div>
          <div class="added elevator">
            <div class="wlt b1 h1"></div>
            <div class="wl b1 h2"></div>
          </div>
        </div>
        <div class="plebs">
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
          <div class="platform f1"></div>
        </div>
        <div class="block grass b3"></div>
      </div>
      <div class="relative back">
        <div class="block grass f1 b1 h6"></div>
        <div class="hole b3">
          <img
            class="greenWaterGif"
            src="../assets/textures/green-water.gif"
          /><img
            class="greenWaterGif"
            src="../assets/textures/green-water.gif"
          /><img
            class="greenWaterGif"
            src="../assets/textures/green-water.gif"
          />
        </div>
        <div class="added _r">
          <div class="wrt b1 h1"></div>
          <div class="wr b1 h5 f2"></div>
        </div>
      </div>

      <!-- jumping phase -->
      <div>
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <div class="block grass b1 f4"></div>
        <div class="hole b1">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>

      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <img class="decorProps plants" src="../assets/items/shrooms.png" />
        <div class="block grass b1 f5"></div>
        <div class="hole b1">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>

      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <div class="block grass b1 f5"></div>
        <div class="hole b1">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>

      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <img class="decorProps plants" src="../assets/items/small-shroom.png" />
        <div class="block grass b1 f4"></div>
        <div class="hole b1">
          <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
        </div>
      </div>

      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div class="block grass b1 h5"></div>

      <!-- spam spike -->
      <div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block grass b1"></div>
      </div>

      <div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block grass b1"></div>
      </div>

      <div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block grass b1"></div>
      </div>

      <div>
        <div class="spike">
          <div class="trap pic"></div>
        </div>
        <div class="block grass b1"></div>
      </div>

      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>

        <div class="block grass b1"></div>
      </div>

      <div class="hole b2">
        <img
          class="greenWaterGif"
          src="../assets/textures/green-water.gif"
        /><img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/jungle-bush.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/jungle-bush.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/jungle-bush.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/jungle-bush.png" />
        <img class="decorProps plants" src="../assets/items/jungle-bush.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <div class="ennemy">
          <div class="trap monsterB lvl3Ennemy"></div>
        </div>
        <div class="block grass b10"></div>
      </div>

      <div class="block grass b1 h2"></div>

      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <!--  middle platform spikes  -->
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b1 h2"></div>
      </div>
      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>
      <div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b1 h2"></div>
      </div>
      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div class="block grass b1 h2"></div>

      <div>
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/small-shroom.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <img class="decorProps plants" src="../assets/items/shrooms.png" />
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/small-shroom.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/small-shroom.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <img class="decorProps plants" src="../assets/items/shrooms.png" />
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <div class="ennemy">
          <div class="trap monsterB lvl3Ennemy"></div>
        </div>
        <div class="ennemy">
          <div class="trap monsterA lvl3Ennemy"></div>
        </div>
        <div class="block grass b10"></div>
      </div>

      <div class="hole b1">
        <img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>

      <div>
        <img
          class="decorProps plants"
          src="../assets/items/jungle-flower-red.png"
        />
        <div class="block grass b1"></div>
      </div>

      <div class="hole b2">
        <img
          class="greenWaterGif"
          src="../assets/textures/green-water.gif"
        /><img class="greenWaterGif" src="../assets/textures/green-water.gif" />
      </div>
      <div>
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/shrooms.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/small-shroom.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <img class="decorProps plants" src="../assets/items/jungle-bush.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img
          class="decorProps plants"
          src="../assets/items/jungle-flower-red.png"
        />
        <img class="decorProps plants" src="../assets/items/jungle-bush.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <img class="decorProps plants" src="../assets/items/jungle-bush.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img
          class="decorProps plants"
          src="../assets/items/jungle-flower-stink.png"
        />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/shrooms.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <div class="block grass b10 h10 f2"></div>
        <div class="flex">
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
          <div class="spike">
            <div class="trap pic"></div>
          </div>
        </div>
        <div class="block grass b10"></div>
      </div>

      <div>
        <img class="decorProps plants" src="../assets/items/flower-blue.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/shrooms.png" />
        <img class="decorProps plants" src="../assets/items/medium-leaf.png" />
        <img class="decorProps plants" src="../assets/items/small-shroom.png" />
        <img class="decorProps plants" src="../assets/items/flower-white.png" />
        <div class="block grass b3 h10 f2"></div>
        <div id="finish" class="block grass b3"></div>
      </div>

      <!--    <div class="block grass b1 wall"></div>-->

      <div class="trap pic fall"></div>
    </div>

    <div class="place"></div>
  </body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/js-cookie@rc/dist/js.cookie.min.js"></script>
  <script src="../js/level.js"></script>
</html>
